Report Azure Web and Function Apps environment
curl --request PUT \
--url https://app.kosli.com/api/v2/environments/{org}/{env_name}/report/azure-apps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"artifacts": [
{
"digests": {},
"app_name": "<string>",
"app_kind": "<string>",
"creationTimestamp": 123
}
],
"type": "azure-apps"
}
'import requests
url = "https://app.kosli.com/api/v2/environments/{org}/{env_name}/report/azure-apps"
payload = {
"artifacts": [
{
"digests": {},
"app_name": "<string>",
"app_kind": "<string>",
"creationTimestamp": 123
}
],
"type": "azure-apps"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
artifacts: [
{
digests: {},
app_name: '<string>',
app_kind: '<string>',
creationTimestamp: 123
}
],
type: 'azure-apps'
})
};
fetch('https://app.kosli.com/api/v2/environments/{org}/{env_name}/report/azure-apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>""<string>"{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Report Azure Web and Function Apps environment
Process a report for an Azure Web and Function Apps environment.
PUT
/
environments
/
{org}
/
{env_name}
/
report
/
azure-apps
Report Azure Web and Function Apps environment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Report processed successfully, no new snapshots to create
The response is of type string.
Last modified on June 18, 2026
⌘I